### A free/open-source library for quantitative finance

Classes | Functions
ql/instruments/vanillaswap.hpp File Reference

Simple fixed-rate vs Libor swap. More...

`#include <ql/instruments/swap.hpp>`
`#include <ql/time/daycounter.hpp>`
`#include <ql/time/schedule.hpp>`
`#include <boost/optional.hpp>`
Include dependency graph for vanillaswap.hpp:

## Classes

class | VanillaSwap
| Plain-vanilla swap: fix vs floating leg. More...
class | VanillaSwap::arguments
| Arguments for simple swap calculation More...
class | VanillaSwap::results
| Results from simple swap calculation More...

## Functions

std::ostream & | operator<< (std::ostream &out, VanillaSwap::Type t)

## Detailed Description

Simple fixed-rate vs Libor swap.